► |  | Scribble: The Racket Documentation Tool

1 | Getting Started
2 | @ Syntax
3 | High-Level Scribble API
4 | Scribbling Documentation
5 | Literate Programming
6 | Low-Level Scribble API
7 | Running scribble
| Index

► | 4 | Scribbling Documentation

4.1 | Getting Started with Documentation
4.2 | Manual Forms
4.3 | Racket
4.4 | Evaluation and Examples
4.5 | In-Source Documentation
4.6 | BNF Grammars
4.7 | Compatibility Libraries

▼ | 4.2 | Manual Forms

4.2.1 | Typesetting Code
4.2.2 | Documenting Modules
4.2.3 | Documenting Forms, Functions, Structure Types, and Values
4.2.4 | Documenting Classes and Interfaces
4.2.5 | Documenting Signatures
4.2.6 | Various String Forms
4.2.7 | Links
4.2.8 | Indexing
4.2.9 | Bibliography
4.2.10 | Version History
4.2.11 | Miscellaneous
4.2.12 | Index-Entry Descriptions
4.2.13 | Manual Rendering Style

On this page:

t
etc
PLane T
manual-doc-style
hash-lang
void-const
undefined-const
commandline
inset-flow
centerline
math
filebox
deprecated
image/ plain

top ← prev up next →

##### 4.2.11`` Miscellaneous

> > procedure

> > (t pre-content ...) → paragraph?

> pre-content : pre-content?

Wraps the decoded pre-content as a paragraph.

> > value

> > etc : element?

Like "etc.", but with an abbreviation-ending period for use in the middle of a sentence.

> > value

> > PLaneT : element?

"PLaneT" (to help make sure you get the letters in the right case).

> > value

> > manual-doc-style : style?

A style to be used for a document’s main part to get the style configuration of #lang scribble/manual. See Manual Rendering Style.

> > procedure

> > (hash-lang) → element?

Returns an element for #lang that is hyperlinked to an explanation.

> > value

> > void-const : element?

Returns an element for #<void>.

> > value

> > undefined-const : element?

Returns an element for #<undefined>.

> > procedure

> > (commandline content ...) → paragraph?

> content : content?

Produces an inset command-line example (e.g., in typewriter font).

> > procedure

> > (inset-flow pre-flow ...) → nested-flow?

> pre-flow : pre-flow?

Creates a nested-flow with indenting on the left and right.

Using nested with the 'inset style is a prefered alternative.

> > procedure

> > (centerline pre-flow ...) → nested-flow?

> pre-flow : pre-flow?

An alias for centered for backward compatibility.

> > procedure

> > (math pre-content ...) → element?

> pre-content : any/c

The decoded pre-content is further transformed:

- Any immediate 'rsquo is converted to 'prime.

- Parentheses and sequences of decimal digits in immediate strings are left as-is, but any other immediate string is italicized.

- When _ appears before a non-empty sequence of numbers and letters, the sequence is typeset as a subscript.

- When ^ appears before a non-empty sequence of numbers and letters, the sequence is typeset as a superscript.

> > procedure

> > (filebox filename pre-flow ...) → block?

> filename : (or/c string? element?)
> pre-flow : pre-flow?

Typesets the pre-flows as the content of filename. For example, the content may be inset on the page with filename above it. If filename is a string, it is passed to filepath to obtain an element.

> > procedure

> > (deprecated | [ | #:what what] |  |  |  |
> > |  | replacement |  |  |  |
> > |  | additional-notes ...) |  | → |  | block?

> what : content? = "library"
> replacement : content?
> additional-notes : content?

Produces an inset warning for deprecated libraries, functions, etc. (as described by what), where replacement describes a suitable replacement. The additional-notes are included after the initial deprecation message.

> > procedure

> > (image/plain |  | filename-relative-to-source |  |  |  |
> > |  | pre-element ...) |  | → |  | element?

> filename-relative-to-source : string?
> pre-element : any/c

An alias for image for backward compatibility.
top ← prev up next →